# Thermo Printer Interface / Remote Control

## Overview

This is about a device that can be called by WLAN / TCP/IP and prints on a cheap thermo printer using paper rolls.

Hardware used:
- ESP-CPU:
  -- Wemos ESP32 LoLin (any ESP32 should work), we are using UART1 (GPIO26=Tx)
  -- Wemos ESP8266 (any should work), we are using UART1 Tx only (GPIO2=Tx)
- GOOJPRT QR204 Micro Embedded Printer with RS232/TTL and USB-Interface
  -- TX, RX, GND connected to ESP32
  -- POWER connected to seperate power supply (+5V/GND)


## How to install this app

- Install and start [mos tool](https://mongoose-os.com/software.html)
- Switch to the Project page, find and import this app, build and flash it:

<p align="center">
  <img src="https://mongoose-os.com/images/app1.gif" width="75%">
</p>
