
#ifndef __QR204_H
#define __QR204_H

#include "mgos.h"
#include "mgos_system.h"
#include "mgos_uart.h"


#define TP_MODE_ALTERNATEFONT 0x01
#define TP_MODE_EMPFHASIZED  0x08
#define TP_MODE_DOUBLEHEIGHT 0x10
#define TP_MODE_DOUBLEWIDTH 0x20
#define TP_MODE_UNDERLINED 0x80
#define TP_MODE_ALL 0xff

#define tp_print mgos_uart_printf

extern void tp_init(uint8_t uartNo);
extern void tp_set_mode(uint8_t addModes);
extern void tp_reset_mode(uint8_t removeModes);
extern void tp_reverse_feed(uint8_t numLines);
extern void tp_linefeed(uint8_t numLines);
#endif

